ConfigurableFileCollection (Gradle API 9.3.0)
Description: declaration: package: org.gradle.api.file, interface: ConfigurableFileCollection

Package org.gradle.api.file

# Interface ConfigurableFileCollection

All Superinterfaces:
  `AntBuilderAware`, `Buildable`, `FileCollection`, `HasConfigurableValue`, `Iterable<File>`, `SupportsConvention`

@ManagedType @SupportsKotlinAssignmentOverloading public interface ConfigurableFileCollection extends FileCollection, HasConfigurableValue, SupportsConvention

A `ConfigurableFileCollection` is a mutable `FileCollection`.

Note: This interface is not intended for implementation by build script or plugin authors.

See Also:
  - `Create an instance of this as a managed property (preferred).`
  - `Create an instance of this manually.`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.gradle.api.file.FileCollection

  `FileCollection.AntType`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ConfigurableFileCollection`
  `builtBy(Object... tasks)`
  Registers some tasks which build the files of this collection.
  `ConfigurableFileCollection`
  `convention(@Nullable Object... paths)`
  Specifies the value to use as the convention (default value) to be used when resolving this file collection, if no source paths are explicitly defined.
  `ConfigurableFileCollection`
  `convention(Iterable<?> paths)`
  Specifies the value to use as the convention (default value) to be used when resolving this file collection, if no source paths are explicitly defined.
  `ConfigurableFileCollection`
  `from(@Nullable Object... paths)`
  Adds a set of source paths to this collection.
  `Set<Object>`
  `getBuiltBy()`
  Returns the set of tasks which build the files of this collection.
  `Set<Object>`
  `getFrom()`
  Returns the set of source paths for this collection.
  `ConfigurableFileCollection`
  `setBuiltBy(Iterable<?> tasks)`
  Sets the tasks which build the files of this collection.
  `void`
  `setFrom(@Nullable Object... paths)`
  Sets the source paths for this collection.
  `void`
  `setFrom(Iterable<?> paths)`
  Sets the source paths for this collection.

  ### Methods inherited from interface org.gradle.api.Buildable

  `getBuildDependencies`

  ### Methods inherited from interface org.gradle.api.file.FileCollection

  `addToAntBuilder, addToAntBuilder, contains, filter, filter, getAsFileTree, getAsPath, getElements, getFiles, getSingleFile, isEmpty, minus, plus`

  ### Methods inherited from interface org.gradle.api.provider.HasConfigurableValue

  `disallowChanges, disallowUnsafeRead, finalizeValue, finalizeValueOnRead`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, iterator, spliterator`

  ### Methods inherited from interface org.gradle.api.provider.SupportsConvention

  `unset, unsetConvention`

- ## Method Details

  - ### getFrom

    Set<Object> getFrom()
    Returns the set of source paths for this collection. The paths are evaluated as per `Project.files(Object...)`.
    Returns:
      The set of source paths. Returns an empty set if none.

  - ### setFrom

    void setFrom(Iterable<?> paths)
    Sets the source paths for this collection. The given paths are evaluated as per `Project.files(Object...)`.
    Parameters:
      `paths` - The paths. `null` values are ignored.

  - ### setFrom

    void setFrom(@Nullable Object... paths)
    Sets the source paths for this collection. The given paths are evaluated as per `Project.files(Object...)`.
    Parameters:
      `paths` - The paths. `null` values are ignored.

  - ### convention

    @Incubating ConfigurableFileCollection convention(Iterable<?> paths)
    Specifies the value to use as the convention (default value) to be used when resolving this file collection, if no source paths are explicitly defined. If, at the time this method is invoked, the set of source paths for this collection is empty, the convention will be used to resolve this file collection.
    Parameters:
      `paths` - The paths. `null` values are ignored.
    Returns:
      this collection
    Since:
      8.8

  - ### convention

    @Incubating ConfigurableFileCollection convention(@Nullable Object... paths)
    Specifies the value to use as the convention (default value) to be used when resolving this file collection, if no source paths are explicitly defined. If, at the time this method is invoked, the set of source paths for this collection is empty, the convention will be used to resolve this file collection.
    Parameters:
      `paths` - The paths. `null` values are ignored.
    Returns:
      this collection
    Since:
      8.8

  - ### from

    ConfigurableFileCollection from(@Nullable Object... paths)
    Adds a set of source paths to this collection. The given paths are evaluated as per `Project.files(Object...)`.
    Parameters:
      `paths` - The files to add. `null` values are ignored.
    Returns:
      this

  - ### getBuiltBy

    Set<Object> getBuiltBy()
    Returns the set of tasks which build the files of this collection.
    Returns:
      The set. Returns an empty set when there are no such tasks.

  - ### setBuiltBy

    ConfigurableFileCollection setBuiltBy(Iterable<?> tasks)
    Sets the tasks which build the files of this collection.
    Parameters:
      `tasks` - The tasks. These are evaluated as per `Task.dependsOn(Object...)`.
    Returns:
      this

  - ### builtBy

    ConfigurableFileCollection builtBy(Object... tasks)
    Registers some tasks which build the files of this collection.
    Parameters:
      `tasks` - The tasks. These are evaluated as per `Task.dependsOn(Object...)`.
    Returns:
      this